gawk-diffs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[gawk-diffs] [SCM] gawk branch, cmake, updated. 251fa761931520336e19fb09


From: Juergen Kahrs
Subject: [gawk-diffs] [SCM] gawk branch, cmake, updated. 251fa761931520336e19fb09af583954a6f481ce
Date: Sat, 09 Feb 2013 18:55:20 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "gawk".

The branch, cmake has been updated
       via  251fa761931520336e19fb09af583954a6f481ce (commit)
      from  dac059baf5518edf195c873db91eb42af6551586 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.sv.gnu.org/cgit/gawk.git/commit/?id=251fa761931520336e19fb09af583954a6f481ce

commit 251fa761931520336e19fb09af583954a6f481ce
Author: Juergen Kahrs <address@hidden>
Date:   Sat Feb 9 19:55:07 2013 +0100

    A slightly better but still crude approach at getting many tests to run. 
More than 90% of the basic tests pass now.

diff --git a/cmake/basictest b/cmake/basictest
index 5a874f8..958c778 100755
--- a/cmake/basictest
+++ b/cmake/basictest
@@ -1,11 +1,12 @@
 #!/bin/sh
 
 TESTHOME=$(dirname ${0})/../test
+export AWKPATH=${TESTHOME}
 if test -r ${TESTHOME}/${2}.in
 then
-  $1 -f ${TESTHOME}/${2}.awk  < ${TESTHOME}/${2}.in > ${TESTHOME}/_${2} 2>&1 
|| echo EXIT CODE: $? >> ${TESTHOME}/_${2}
+  $1 -f ${2}.awk  < ${TESTHOME}/${2}.in > ${TESTHOME}/_${2} 2>&1 || echo EXIT 
CODE: $? >> ${TESTHOME}/_${2}
 else
-  $1 -f ${TESTHOME}/${2}.awk                        > ${TESTHOME}/_${2} 2>&1 
|| echo EXIT CODE: $? >> ${TESTHOME}/_${2}
+  $1 -f ${2}.awk                        > ${TESTHOME}/_${2} 2>&1 || echo EXIT 
CODE: $? >> ${TESTHOME}/_${2}
 fi
 cmp ${TESTHOME}/${2}.ok ${TESTHOME}/_${2} && rm -f ${TESTHOME}/_${2}
 
diff --git a/test/CMakeLists.txt b/test/CMakeLists.txt
index 1b7c417..06ea131 100644
--- a/test/CMakeLists.txt
+++ b/test/CMakeLists.txt
@@ -24,9 +24,16 @@
 
 ## process this file with CMake to produce Makefile
 
-set(BASIC_TESTS addcomma anchgsub arrayparm arrayprm2 arrayprm3 arrayref 
arrymem1 arryref2 arryref3 arryref4 arryref5)
+execute_process(
+  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/
+  COMMAND awk /:$/ Maketests
+  OUTPUT_VARIABLE BASIC_TESTS
+)
 
-foreach(testcase ${BASIC_TESTS})
+string(REGEX REPLACE "Gt-dummy:\n" "" BASIC_TESTS ${BASIC_TESTS})
+string(REGEX REPLACE ":" "" BASIC_TESTS ${BASIC_TESTS})
+string(REGEX REPLACE "\n" ";" BASIC_TESTS ${BASIC_TESTS})
+foreach(testcase ${BASIC_TESTS} )
   add_test(${testcase} ${CMAKE_SOURCE_DIR}/cmake/basictest 
${CMAKE_BINARY_DIR}/gawk ${testcase} )
 endforeach(testcase)
 

-----------------------------------------------------------------------

Summary of changes:
 cmake/basictest     |    5 +++--
 test/CMakeLists.txt |   11 +++++++++--
 2 files changed, 12 insertions(+), 4 deletions(-)


hooks/post-receive
-- 
gawk



reply via email to

[Prev in Thread] Current Thread [Next in Thread]